import type { AxiosInstance } from 'axios';
import request from '/@/utils/request';

/**
 * @summary GetRunRealRecordStdGetLimitByObjectTypeAndObjectIDOfDayRange
 */
export const GetRunRealRecordStdGetLimitByObjectTypeAndObjectIDOfDayRange = (params, req: AxiosInstance = request) => {
	return req({
		url: '/Run/Real/Record/Std/GetLimitByObjectTypeAndObjectIDOfDayRange@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary GetRunRealRecordStdGetByObjectTypeAndObjectIDOfDayRange
 */
export const GetRunRealRecordStdGetByObjectTypeAndObjectIDOfDayRange = (params, req: AxiosInstance = request) => {
	return req({
		url: '/Run/Real/Record/Std/GetByObjectTypeAndObjectIDOfDayRange@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary GetRunRealRecordStdGetLastRecord
 */
export const GetRunRealRecordStdGetLastRecord = (params, req: AxiosInstance = request) => {
	return req({
		url: '/Run/Real/Record/Std/GetLastRecord@V1.0',
		method: 'get',
		params,
	});
};
